[Overview][Constants][Types][Classes][Procedures and functions][Index] | Reference for unit 'db' (#fcl)

# TDataSet.FreeBookmark

Free a bookmark obtained with GetBookmark (deprecated)

## Declaration

Source position: db.pas line 1597

`public procedure TDataSet.FreeBookmark(`
`ABookmark: TBookmark`
`); virtual;`

## Arguments

`ABookmark` |  | Bookmark to free.

## Description

FreeBookmark must be used to free a bookmark obtained by TDataset.GetBookmark. It should not be used on bookmarks obtained with the TDataset.Bookmark property. Both GetBookmark and FreeBookmark are deprecated. Use the Bookmark property instead: it uses a string type, which is automatically disposed of when the string variable goes out of scope.

## See also

TDataset.GetBookmark |  | Get a bookmark pointer (deprecated)
TDataset.Bookmark |  | Get or set the current cursor position

Documentation generated on: Feb 26 2014